Factory (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.sentdetect.lang

## Class Factory

- java.lang.Object
- - opennlp.tools.sentdetect.lang.Factory

-     public class Factory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char[]` | `defaultEosCharacters`
    `static char[]` | `jpnEosCharacters`
    `static char[]` | `ptEosCharacters`
    `static char[]` | `thEosCharacters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EndOfSentenceScanner` | `createEndOfSentenceScanner(char[] customEOSCharacters)`
    `EndOfSentenceScanner` | `createEndOfSentenceScanner(String languageCode)`
    `SDContextGenerator` | `createSentenceContextGenerator(Set<String> abbreviations, char[] customEOSCharacters)`
    `SDContextGenerator` | `createSentenceContextGenerator(String languageCode)`
    `SDContextGenerator` | `createSentenceContextGenerator(String languageCode, Set<String> abbreviations)`
    `char[]` | `getEOSCharacters(String languageCode)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ptEosCharacters

          public static final char[] ptEosCharacters

    - #### defaultEosCharacters

          public static final char[] defaultEosCharacters

    - #### thEosCharacters

          public static final char[] thEosCharacters

    - #### jpnEosCharacters

          public static final char[] jpnEosCharacters

  - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### createEndOfSentenceScanner

          public EndOfSentenceScanner createEndOfSentenceScanner(String languageCode)

    - #### createEndOfSentenceScanner

          public EndOfSentenceScanner createEndOfSentenceScanner(char[] customEOSCharacters)

    - #### createSentenceContextGenerator

          public SDContextGenerator createSentenceContextGenerator(String languageCode,
                                                                   Set<String> abbreviations)

    - #### createSentenceContextGenerator

          public SDContextGenerator createSentenceContextGenerator(Set<String> abbreviations,
                                                                   char[] customEOSCharacters)

    - #### createSentenceContextGenerator

          public SDContextGenerator createSentenceContextGenerator(String languageCode)

    - #### getEOSCharacters

          public char[] getEOSCharacters(String languageCode)

Copyright © 2026 The Apache Software Foundation. All rights reserved.